<span id="disable_router_nav_history_direction_check"></span>
## Welcome to Steemit!

This page is full of information to help you learn about the platform and become a successful Steemian. You can return to this page at any time by clicking on the "Welcome" link in the main menu. There is a table of contents below to help you navigate the page.

Included on the page is a "To Do List" with recommended steps to get started with your account, and a "Quick Start Guide" with information on how the platform works. 

Below that is a section of "Helpful Posts from Steemit Users", which contains a collection of posts from users in the community that are helpful for new users getting started. 

Below that is a list of recommended users to follow, a collection of other resources including the <a href="/faq.html">FAQ Page</a> and [Steem bluepaper](https://steem.io/steem-bluepaper.pdf), as well as information on where to find live help. 

## <span id="Table_of_Contents">Table of Contents</span>

### To Do List

1. <a href="#Backup_your_password">Backup your password</a>
2. <a href="#Review_the_Quick_Start_Guide">Review the Quick Start Guide</a>
3. <a href="#Read_the_Helpful_Posts_from_Steemit_Users">Read the Helpful Posts from Steemit Users</a>
4. <a href="#Setup_your_Profile_Avatar_and_Cover_Image">Setup your Profile, Avatar, and Cover Image</a>
5. <a href="#Choose_your_NSFW_(Not_Safe_for_Work)_Display_Preference">Choose your "NSFW" (Not Safe for Work) Display Preference</a>
6. <a href="#Sign_Up_for_Steemit_Chat">Sign Up for Steemit Chat</a>
7. <a href="#Create_your_introduceyourself_post">Create your "introduceyourself" post</a>
8. <a href="#Learn_more">Learn more</a>

### Quick Start Guide

- <a href="#No_Cost_to_Participate">No Cost to Participate</a>
- <a href="#Upvotes">Upvotes</a>
- <a href="#Comments">Comments</a>
- <a href="#Creating_Posts">Creating Posts</a>
- <a href="#Followers_and_Feeds">Followers and Feeds</a>
- <a href="#Resteem">Resteem</a>
- <a href="#Digital_Currencies">Digital Currencies</a>
- <a href="#Curation">Curation</a>
- <a href="#Payments">Payments</a>
- <a href="#Reputation">Reputation</a>
- <a href="#Cashing_out_or_Spending_SBD">Cashing out or Spending SBD</a>
- <a href="#Plagiarism">Plagiarism</a>
- <a href="#Password_Security">Password Security</a>
- <a href="#Earning_on_Steemit">Earning on Steemit</a>

### <a href="#Helpful_Posts_from_Steemit_Users">Helpful Posts from Steemit Users</a>
### <a href="#Users_to_Follow">Users to Follow</a>
### <a href="#Other_Resources">Other Resources</a>
### <a href="#Live_Help">Live Help</a>
### <a href="#Third_Party_References">Third Party References</a>

***

## To Do List
<span></span>
### <span id="Backup_your_password">1. Backup your password</span>

Unlike centralized web services, **the Steem Blockchain has no account password recovery**.

You are entirely responsible for keeping your password, and keeping it secure.

Save your master key and keep it somewhere safe.

It is strongly recommended that you store an offline copy of your password somewhere safe in case of a hard drive failure or other calamity. Consider digital offline storage, such as a flash drive or burned CD, as well as printed paper. Use a safe deposit box for best redundancy. 

If your account is valuable, treat it like a valuable!

<a href="#Table_of_Contents">^</a>
### <span id="Review_the_Quick_Start_Guide">2. Review the Quick Start Guide</span>

The <a href="#Quick_Start_Guide">Quick Start Guide</a> section of this Welcome page contains basic information to help get you started.

<a href="#Table_of_Contents">^</a>
### <span id="Read_the_Helpful_Posts_from_Steemit_Users">3. Read the Helpful Posts from Steemit Users</span>

The <a href="#Helpful_Posts_from_Steemit_Users">Helpful Posts from Steemit Users</a> section of this Welcome page contains many well written articles from members of the community with tips on how to succeed.

<a href="#Table_of_Contents">^</a>
### <span id="Setup_your_Profile_Avatar_and_Cover_Image">4. Setup your Profile, Avatar, and Cover Image</span>

Under your user settings, you can update your profile. This includes your display name, location, about info, and website.

To set your avatar image, type or paste a link to the URL where the image is located into the "Profile Picture URL" field.

To set your cover image, type or paste a link to the URL where the image is located into the "Cover Image URL" field.

Once you have made all your changes, click the "Update" button to save your profile.

<a href="#Table_of_Contents">^</a>
### <span id="Choose_your_NSFW_(Not_Safe_for_Work)_Display_Preference">5. Choose your "NSFW" (Not Safe for Work) Display Preference</span>

By default, content that users have tagged as "NSFW" will be hidden, but a link will be shown to reveal the content.

You can update your display preference so that NSFW content is always shown by default, or is completely hidden with no option to reveal.

<a href="#Table_of_Contents">^</a>
### <span id="Sign_Up_for_Steemit_Chat">6. Sign Up for Steemit Chat</span>

A lot of users hang out and chat when they are not posting or browsing Steemit. It is a great place to meet people!

There is a link to sign up in the main menu in the upper right corner.

Your [steemit.chat](https://steemit.chat/home) account is a separate account from your Steem account.

Some channels allow you to share links, but others don't. For instance, [general](https://steemit.chat/channel/general) is for discussion without link promotion, while [postpromotion](https://steemit.chat/channel/postpromotion) is for promoting your Steemit posts.

Each channel will have its rules posted in the "Info" section.

<a href="#Table_of_Contents">^</a>
### <span id="Create_your_introduceyourself_post">7. Create your "introduceyourself" post</span>

While not required, the tradition for new users is to create an "introduceyourself" post, to let the community know who you are.

You can see some examples of what other people have done [here](https://steemit.com/trending30/introduceyourself).

It is not required, but a lot of users will take a picture of themselves holding up a piece of paper that says "Steemit" with the current date, so we know you are a real person.

It is not required either, but if you have other social media accounts (Twitter, Facebook, etc.) you can help the community verify that you are who you say you are, by sharing the link to your Steemit introduceyourself post with those accounts. If you are claiming to be someone famous, this is pretty much expected.

<a href="#Table_of_Contents">^</a>
### <span id="Learn_more">8. Learn more</span>

The <a href="#Other_Resources">Other Resources</a> section of this Welcome page contains additional resouces to learn more about the platform. The FAQ page contains answers to the most commonly asked questions, and the bluepaper explains how the platform works.

<a href="#Table_of_Contents">^</a>

***

## <span id="Quick_Start_Guide">Quick Start Guide</span>

### <span id="No_Cost_to_Participate">No Cost to Participate</span>

It is free to post, comment, or upvote all content on Steemit.com. You might even get paid for it!

<a href="#Table_of_Contents">^</a>
### <span id="Upvotes">Upvotes</span>

Upvotes are Steemit's way of saying you like someone's post or comment.

To upvote, click on the <Icon name="chevron-up-circle" /> *Upvote* icon at the bottom of the comment/post.

<a href="#Table_of_Contents">^</a>
### <span id="Comments">Comments</span>

When you are first starting out, commenting on other people's posts can be a great way to get involved and connect with people!

To comment on a post, or reply to an existing comment, click on the "Reply" link at the bottom of the post/comment.

<a href="#Table_of_Contents">^</a>
### <span id="Creating_Posts">Creating Posts</span>

To create a post, click on the "Post" link in the upper right corner.

Posts have three main parts: Title, Content, Tags.

You will want to make your title attention grabbing, and relevant to your content. The first image that you use will be the thumbnail image.

Tags will help people find your posts. Each post can have up to five tags, separated by spaces. The tags should all be relevant to the content in the post. You can browse content by tags, as well as see a list of popular tags that other users have used in their posts [here](https://steemit.com/tags).

There are several guides for creating posts in the "Helpful Posts from Steemit Users" section below.

<a href="#Table_of_Contents">^</a>
### <span id="Followers_and_Feeds">Followers and Feeds</span>

To follow an author, click on their username and click the "Follow" button.

Once you follow someone, all of their posts will show up in your "Feed" on the homepage when you login.

As other Steemians come across your posts and comments, you will start to gain followers.

You can see all of your followers and the people you are following in your profile page.

<a href="#Table_of_Contents">^</a>
### <span id="Resteem">Resteem</span>

If you want to share someone else's post with all of your followers, click on the <Icon name="reblog" /> *resteem* icon.

<a href="#Table_of_Contents">^</a>
### <span id="Digital_Currencies">Digital Currencies</span>

STEEM, Steem Power and Steem Dollars are the three forms of digital currency used by the Steem Blockchain.

More information on the three types of tokens can be found in the [Steemit FAQ](https://steemit.com/faq.html#What_is_the_difference_between_STEEM__STEEM_Power__and_Steem_Dollars).

<a href="#Table_of_Contents">^</a>
### <span id="Curation">Curation</span>

Up to 25% of the reward for posts goes to the people who voted on it. These people are called curators.

The more Steem Power you have in your account, the more your upvotes will be worth, and the more potential curation rewards you can earn!

<a href="#Table_of_Contents">^</a>
### <span id="Payments">Payments</span>

Payouts are made 7 days after the post/comment is created. You can claim your rewards in your wallet after 7 days.

The payments may fluctuate (up and down) until the final payment is reached.

Payments for posts are split between the author (at least 75%) and the curators (up to 25%).

The author reward is paid 50% in Steem Power, and 50% in liquid STEEM/SBD.

Authors also have the option to decline payout, or be paid in 100% Steem Power!

<a href="#Table_of_Contents">^</a>
### <span id="Reputation">Reputation</span>

A reputation score is one way Steemit measures the amount of value you have brought to the community.

The higher the number, the more weighted votes an account has earned.

All new users start at 25.

Your reputation will go up as you earn upvotes for your posts and comments, but it can come down if they are flagged.

<a href="#Table_of_Contents">^</a>
### <span id="Cashing_out_or_Spending_SBD">Cashing out or Spending SBD</span>

You can exchange SBD for STEEM in the [Currency Market](https://steemit.com/market). Once you have STEEM, you can "Power Up" in your wallet to gain additional Steem Power.

You can spend your SBD at the [Peerhub Store](https://www.peerhub.com/).

You can also exchange your STEEM and SBD for bitcoin on a third-party exchange such as [BlockTrades](https://blocktrades.us/) or [Bittrex](https://bittrex.com/).

<a href="#Table_of_Contents">^</a>
### <span id="Plagiarism">Plagiarism</span>

The community is looking for you to add your own personal touch to your articles.

Plagiarizing, that is posting someone else's work as if it were your own, is very frowned upon by the Steemit community.

If you are using anyone else's material as part of your posts (including images) - please cite your sources.

Also, make sure that you are not violating any copyright laws if you are using someone else's material/images. Limited, sourced material sharing is OK under fair use and fair dealing doctrines.

<a href="#Table_of_Contents">^</a>
### <span id="Password_Security">Password Security</span>

**There is no lost password recovery for Steem accounts**. You are 100% responsible for having it backed up. This means secure digital backups, as well as secured paper backups, off-site if possible.

Your Steemit account is worth real money. Treat your Steemit password like you would your bank password, and keep it secure!

<a href="#Table_of_Contents">^</a>
### <span id="Earning_on_Steemit">Earning on Steemit</span>

The best attitude to have is to expect to make nothing. Have fun. Get engaged. Make friends. If along the way you earn something - bonus!

It is possible to earn thousands of dollars, but most authors who are doing this have put in a lot of time and work to contribute to the community and build followings.

<a href="#Table_of_Contents">^</a>

***

## <span id="Helpful_Posts_from_Steemit_Users">Helpful Posts from Steemit Users</span>

- [Posting and Markdown Basics](https://steemit.com/steemit/@thecryptofiend/markdown-basics-for-beginners)
- [Ways to Spend Your Hard Earned STEEM/SBD](https://steemit.com/steem/@timcliff/the-steem-economy-tons-of-ways-to-spend-your-hard-earned-steem-sbd)
- [Advice on How To Build a Following](https://steemit.com/steemit/@allasyummyfood/how-i-build-a-following-of-160-k-from-scratch)
- [Steemit Etiquette Guide](https://steemit.com/steemit/@thecryptofiend/the-complete-steemit-etiquette-guide-revision-2-0)
- [Introduceyourself Example](https://steemit.com/almost-famous/@teamsteem/hello-steemit-coinmaketcap-com-introduced-me)
- [8 Mistakes to Avoid](https://steemit.com/steemit/@alcibiades/8-mistakes-i-see-beginners-make-on-steemit)
- [Advice on using Tags](https://steemit.com/steemit/@rok-sivante/the-top-3-reasons-to-tag-your-steemit-posts-a-simple-quick-strategy-for-long-term-profits-and-success)
- [Guide To Steemit Payouts](https://steemit.com/steemit/@shenanigator/the-ultimate-guide-to-steemit-payouts)
- [Steemit Succeeds if We Make it Succeed](https://steemit.com/steemit/@krnel/steemit-succeeds-if-we-make-it-succeed)
- [Understanding Your Wallet](https://steemit.com/steemit-help/@merej99/the-steemit-newbie-s-comprehensive-guide-to-understanding-your-wallet-by-merej99)
- [Witness Voting Guide](https://steemit.com/witness-category/@timcliff/witness-voting-guide)
- [Steemit for Artists](https://steemit.com/art/@voronoi/steemit-for-artists-a-new-stage-for-craft)
- [Steemit Chat Guide](https://steemit.com/steemit/@firepower/dummies-guide-to-using-steemit-chat-effectively-everyday)
- [Video interview on how to be successful](https://steemit.com/blog/@terrybrock/steemit-success-series--timcliff-on-who-to-target-with-your-content-1512178826-124805)
- [How to use Blocktrades to exchange STEEM/SBD for BTC](https://steemit.com/steem/@thecryptofiend/how-to-use-blocktrades-the-fastest-and-easiest-way-to-buy-and-sell-steem-sd-and-my-review-of-the-experience)
- [SBD to bitcoin (BTC) using Blocktrades, then BTC to Euro or USD Using CEX.io](https://steemit.com/howto/@future24/blocktrades-tutorial-part-2-how-to-exchange-sbd-to-btc-and-sell-them-for-euro-or-usd-english-german)
- [A Guide To Cashing Out Your STEEM/SBD Using PayPal](https://steemit.com/tutorial/@son-of-satire/a-minnows-guide-to-cashing-out-your-steem-sbd-using-paypal-without-using-coinbase-and-their-invasive-identity-checks)
- [How to Make Your Presence Known](https://steemit.com/steem-help/@papa-pepper/let-your-presence-be-known-advice-from-papa-for-newer-users)
- [Emojis for Steemit](https://steemit.com/emojis/@blueorgy/steemit-emojis-master-list)
- [5 Markdown Tips](https://steemit.com/steemit/@steemitguide/markdown-and-html-code-guide-for-beginners-that-includes-5-useful-tips-to-edit-posts-and-comments-using-the-raw-editor)
- [How to Get Noticed if You Are a New User on Steemit](https://steemit.com/steemit/@thecryptofiend/how-to-get-noticed-if-you-are-a-new-user-on-steemit)
- [Curation Rewards Explained](https://steemit.com/curation/@liberosist/mind-your-votes-ii-a-guide-to-maximizing-your-curation-rewards)
- [More Information on Curation Rewards](https://steemit.com/steemit/@calamus056/curation-rewards-explained-in-great-detail)
- [Everything you need to know about potential payouts and flagging](https://steemit.com/payout/@timcliff/everything-you-need-to-know-about-potential-payouts-and-flagging-for-new-users)
- [The Ultimate Guide of Tips for New Steem Users](https://steemit.com/steem-help/@timcliff/the-ultimate-guide-of-tips-for-new-steem-users)
- [Ways to Find Free and Legal Images](https://steemit.com/steem-help/@mindover/don-t-plagiarize-images-here-are-13-free-and-legal-ways-to-find-high-quality-photos-you-can-use-on-steemit)
- [Steem Keys and Passwords Guide](https://steemit.com/steemit-guides/@pfunk/a-user-s-guide-to-the-different-steem-keys-or-passwords)
- [Unwritten Rules of Steemit](https://steemit.com/steem-help/@beanz/the-unwritten-rules-of-steemit)
- [Advice on How to Succeed on Steemit: Come to Give, Not to Take](https://steemit.com/psychology/@shenanigator/come-to-give-not-take-the-power-of-reciprocity)
- [Best Practices for Steemit Artists](https://steemit.com/art/@merej99/best-practices-for-steemit-newbie-artists-by-merej99-a-100-power-up-post)
- [STEEM The Super Basic Explanation](https://steemit.com/steem/@thecryptofiend/steem-the-super-basic-explanation-for-new-users)
- [Blogging Tools](https://steemit.com/blogging/@munteanu/blogging-tools)
- [How to Create Different Types of Blog Content](https://steemit.com/writing/@jessicanicklos/how-to-create-different-types-of-blog-content-know-here-total-guide-line)

<a href="#Table_of_Contents">^</a>
## <span id="Users_to_Follow">Users to Follow</span>

- @steemitblog - Official Steemit Announcements
- @ned - Ned Scott, CEO and Co-Founder of Steemit

<a href="#Table_of_Contents">^</a>
## <span id="Other_Resources">Other Resources</span>

- [FAQ](https://steemit.com/faq.html) - Answers to commonly asked questions
- [Bluepaper](https://steem.io/steem-bluepaper.pdf) - Explanation of how the platform works
- [Steemit Help](https://www.steemithelp.net/) - Community maintained help pages
- [The Steem Whitepaper](https://steem.io/SteemWhitePaper.pdf) - Technical details of the Steem blockchain
- [Steem App Center](http://steemtools.com/) - Community developed tools for the Steem blockchain
- [Steem Block Explorer](https://steemd.com/) - Shows the raw Steem blockchain data 
- [Steem Blockchain Explorer](https://steemdb.com/) - Analysis pages for the Steem blockchain data

<a href="#Table_of_Contents">^</a>
## <span id="Live_Help">Live Help</span>

Ask your general questions in the [help](https://steemit.chat/channel/help) channel of [steemit.chat](https://steemit.chat/home). Users in the channel will typically respond to questions within a few hours.

New Member Support Community is a group of people dedicated to helping new users find their way around Steemit. You can find them in the [New Member Support Community](https://discord.gg/HYj4yvw) channel of Discord Chat.

<a href="#Table_of_Contents">^</a>
## <span id="Third_Party_References">Third Party References</span>

Peerhub, BlockTrades, Bittrex, Steemit Chat, Steemit Help, New Member Support Community, and Discord Chat, as well as the tools listed under "Other Resources" are third party applications/services, and are not owned or maintained by Steemit, Inc. Their listing here does not constitute and endorsement or recommendation on behalf of Steemit, Inc.

All of the links in the "Helpful Posts from Steemit Users" section were created by our users and do not necessarily represent the views of Steemit, Inc. or its management.

Please use the third party tools and content at your own risk.

<a href="#Table_of_Contents">^</a>
